Client A P I
Create SSH key
Adds an SSH public key to the authenticated user account.
POST
/api/client/account/ssh-keysAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/client/account/ssh-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "Example Resource", "public_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIExampleKey [email protected]" }'{ "object": "ssh_key", "attributes": { "name": "Alanis McLaughlin", "fingerprint": "T2b3VnvHWUmfhDOFLqzZg2VfLgqJhWxzrMUy8WZ+V8M", "public_key": "-----BEGIN PUBLIC KEY-----\r\nMCowBQYDK2VwAyEA5pcirT00fhr3cRV2u8diJnrtaP4YEQFD2i7hbSpJibY=\r\n-----END PUBLIC KEY-----", "created_at": "2026-09-22T14:45:23+00:00" }}